### Method

# Clutter Text set_preedit_string

#### Declaration [src]

    void
    clutter_text_set_preedit_string (
      ClutterText* self,
      const gchar* preedit_str,
      PangoAttrList* preedit_attrs,
      guint cursor_pos
    )

#### Description [src]

Sets, or unsets, the pre-edit string. This function is useful for input methods to display a string (with eventual specific Pango attributes) before it is entered inside the `ClutterText` buffer.

The preedit string and attributes are ignored if the `ClutterText` actor is not editable.

This function should not be used by applications.

#### Parameters

`preedit_str`

  Type: `const gchar*`

  The pre-edit string, or `NULL` to unset it.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`preedit_attrs`

  Type: `PangoAttrList`

  The pre-edit string attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cursor_pos`

  Type: `guint`

  The cursor position for the pre-edit string.